Bug 464059 - r500 driver fails to driver 30" display on R600 card.
r500 driver fails to driver 30" display on R600 card.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-ati (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Dave Airlie
desktop-bugs@redhat.com
: Reopened
Depends On:
Blocks: 364381 465880
  Show dependency treegraph
 
Reported: 2008-09-26 00:23 EDT by Dave Airlie
Modified: 2009-01-20 16:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:38:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:0166 normal SHIPPED_LIVE xorg-x11-drv-ati enhancement and bug fix update 2009-01-20 11:05:28 EST

  None (edit)
Description Dave Airlie 2008-09-26 00:23:23 EDT
Description of problem:

The rebased r500 driver fails to drive the Apple 30" display with the RHEL5.3 Beta.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.6.3-3.17.el5

There are two bugs, one in the driver picking the wrong PLL setting for this card and that frequency, a patch is in-hand. The other is that reduced blanking isn't being picked.

With the first fix, we can workaround the second problem by editing xorg.conf and adding a modeline.
Comment 1 Russell Doty 2008-09-26 09:48:50 EDT
Updated flags and raised priority.
Comment 2 Matěj Cepl 2008-10-01 04:28:06 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Dave Airlie 2008-10-06 18:23:13 EDT
Fix is one line change in the X driver and one line change to the X server.

So should be trivial to do.
Comment 4 Matěj Cepl 2008-10-07 12:13:00 EDT
shut, Dave, you probably know what you need ;-).
Comment 5 RHEL Product and Program Management 2008-10-13 19:28:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Dave Airlie 2008-10-17 01:08:49 EDT
MODIFIED

xorg-x11-drv-ati-6.6.3-3.19.el5 built.
Comment 9 Cameron Meadors 2008-12-10 15:08:46 EST
tested on snap5 x86_64
Comment 11 errata-xmlrpc 2009-01-20 16:38:57 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0166.html

Note You need to log in before you can comment on or make changes to this bug.